Skip to main content
`Ctrl`+`K`

# TSForwardGetSensitivities

Returns the trajectory sensitivities

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSForwardGetSensitivities(TS ts, PetscInt *nump, Mat *Smat)

Not Collective, but Smat returned is parallel if ts is parallel

## Output Parameters

- ts - the `TS` context obtained from `TSCreate()`

- nump - number of parameters

- Smat - sensitivities with respect to the parameters, the number of entries in these vectors is the same as the number of parameters

## See Also

TS: Scalable ODE and DAE Solvers, `TSForwardSetSensitivities()`, `TSForwardSetIntegralGradients()`, `TSForwardGetIntegralGradients()`, `TSForwardStep()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

## Examples

src/ts/tutorials/ex20opt_p.c
src/ts/tutorials/ex20opt_ic.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages